# GET : Retrieve Company

{% hint style="info" %}
This endpoint requires :&#x20;

• `brand_admin`, `media_admin` or `media_partner` roles.

• `r_companies` scope.
{% endhint %}

## Company info

<mark style="color:blue;">`GET`</mark> `https://api.piloty.fr/companies/:company-public-id`

**Important fields**

• `public_id` : Unique identifier of the company

• `is_published` :  Is the company is published throughout the media&#x20;

#### Path Parameters

| Name                                                | Type   | Description          |
| --------------------------------------------------- | ------ | -------------------- |
| company-public-id<mark style="color:red;">\*</mark> | String | Public id of the job |

{% tabs %}
{% tab title="200: OK success" %}

```json
[
    "data":{
            "id": "6295debf398f8985f09dc99d",
            "name": "Trusty",
            "public_id": "trusty",
            "size": "62cc627cf40fc5d45819d8f8",
            "sectors": [
                "630f96baa4ef90ff2a51ee34"
            ],
            "content": {
                "visual": {
                    "logo": "https://piloty-public-staging.s3.amazonaws.com/companiesDocuments/6295debf398f8985f09dc99d/6295debf398f8985f09dc99d_logo_1710944607812"
                },
                "description":"Lorem Ipsum ...",
                "language": "fr"
            },
            "is_published": true,
            "is_vme_page_published" : false
        }
]
```

{% endtab %}

{% tab title="401: Unauthorized unauthorized-limitation" %}

```json
{
    "status": 401,
    "error": "unauthorized-limitation",
    "errorMessage": "Unauthorized"
}
```

{% endtab %}

{% tab title="404: Not Found company-not-found" %}

```json
{
    "status": 404,
    "error": "company-not-found",
    "errorMessage": "Not found"
}
```

{% endtab %}
{% endtabs %}

Request example

```
curl -X GET -G "https://api.piloty.fr/jobs/opened/:job-public-id" \
    -H "Authorization: Bearer PILOTY_TOKEN" \
```
